<template>
  <div style="width: 100%;">
    <span class="float-right version"
      >{{ version }}-{{ this.$vuetify.breakpoint.name }}</span
    >
  </div>
</template>
<style scoped>
.version {
  font-size: 10px;
}
</style>
<script>
import store from "@/store";
import axios from "axios";
export default {
  name: "Component-Version",
  data() {
    return {
      version: null,
    };
  },
  methods: {
    getVersionTag() {
      var axiosLocalFile = axios.create({
        baseURL: store.state.baseUrl + "/",
      });
      axiosLocalFile
        .get("./current-tag-version.info")
        .then((response) => {
          if (response.status == 200) {
            this.version = response.data;
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(function() {});
    },
  },
  created() {
    this.getVersionTag();
  },
};
</script>
